Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMap

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMap

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceCostMap extends IdTitle
Модель карты цен модуля Voice.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceCostMap.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceCostMap.Builder`
  `builder()`
  `String`
  `getComment()`
  Получение комментария для карты цен.
  `int`
  `getOperatorId()`
  `void`
  `setComment(String comment)`
  Установка комментария для карты цен.
  `void`
  `setOperatorId(int operatorId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceCostMap

    public VoiceCostMap()

- ## Method Details

  - ### getComment

    public String getComment()
    Получение комментария для карты цен.
    Returns:
      комментарий.

  - ### setComment

    public void setComment(String comment)
    Установка комментария для карты цен.
    Parameters:
      `comment` - комментарий.

  - ### getOperatorId

    public int getOperatorId()

  - ### setOperatorId

    public void setOperatorId(int operatorId)

  - ### builder

    public static VoiceCostMap.Builder builder()